intern-0.9.1.4: Efficient hash-consing for arbitrary data types

Safe Haskell | None
Language | Haskell98

Data.Interned.Internal.ByteString

# Documentation

data InternedByteString Source #

Constructors

InternedByteString |

Fields

- internedByteStringId :: !Id
- uninternByteString :: !ByteString

Instances

Eq InternedByteString Source # |
Methods (==) :: InternedByteString -> InternedByteString -> Bool # (/=) :: InternedByteString -> InternedByteString -> Bool #
Ord InternedByteString Source # |

Methods

compare :: InternedByteString -> InternedByteString -> Ordering #

(<) :: InternedByteString -> InternedByteString -> Bool #

(<=) :: InternedByteString -> InternedByteString -> Bool #

(>) :: InternedByteString -> InternedByteString -> Bool #

(>=) :: InternedByteString -> InternedByteString -> Bool #

max :: InternedByteString -> InternedByteString -> InternedByteString #

min :: InternedByteString -> InternedByteString -> InternedByteString #

Show InternedByteString Source # |
Methods showsPrec :: Int -> InternedByteString -> ShowS # show :: InternedByteString -> String # showList :: [InternedByteString] -> ShowS #
IsString InternedByteString Source # |
Methods fromString :: String -> InternedByteString #
Uninternable InternedByteString Source # |
Methods unintern :: InternedByteString -> Uninterned InternedByteString Source #
Interned InternedByteString Source # |

Associated Types

data Description InternedByteString :: * Source #

type Uninterned InternedByteString :: * Source #

Methods

describe :: Uninterned InternedByteString -> Description InternedByteString Source #

identify :: Id -> Uninterned InternedByteString -> InternedByteString Source #

seedIdentity :: p InternedByteString -> Id Source #

cacheWidth :: p InternedByteString -> Int Source #

modifyAdvice :: IO InternedByteString -> IO InternedByteString Source #

cache :: Cache InternedByteString Source #

Eq (Description InternedByteString) Source # |
Methods (==) :: Description InternedByteString -> Description InternedByteString -> Bool # (/=) :: Description InternedByteString -> Description InternedByteString -> Bool #
Hashable (Description InternedByteString) Source # |
Methods hashWithSalt :: Int -> Description InternedByteString -> Int # hash :: Description InternedByteString -> Int #
data Description InternedByteString Source # |
data Description InternedByteString = DBS ByteString
type Uninterned InternedByteString Source # |
type Uninterned InternedByteString = ByteString